Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.joinpoint
Class ConstructorCalledByMethodInvocationWrapper

    java.lang.Object
      org.jboss.aop.joinpoint.InvocationBase
          org.jboss.aop.joinpoint.CallerInvocation
              org.jboss.aop.joinpoint.ConstructorCalledByMethodInvocation
                  org.jboss.aop.joinpoint.ConstructorCalledByMethodInvocationWrapper

All Implemented Interfaces:
  Invocation, Serializable

public class ConstructorCalledByMethodInvocationWrapper
extends ConstructorCalledByMethodInvocation

Comment

Version:
  $Revision: 1.9 $
Author:
  Bill Burke
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.aop.joinpoint.ConstructorCalledByMethodInvocation
`arguments, callingClass, callingMethod, callingObject, constructor, wrappingMethod`

Fields inherited from class org.jboss.aop.joinpoint.InvocationBase
`advisor, currentInterceptor, instanceResolver, interceptors, metadata, responseContextInfo, targetObject`

Constructor Summary
`ConstructorCalledByMethodInvocationWrapper(ConstructorCalledByMethodInvocation wrapped, Interceptor[] interceptors)`

Method Summary
`void` | `addResponseAttachment(Object key, Object val)`
`Invocation` | `copy()` Copies complete state of Invocation object.
`Advisor` | `getAdvisor()`
`Object[]` | `getArguments()`
`Constructor` | `getCalledConstructor()`
`Class` | `getCallingClass()`
`Method` | `getCallingMethod()`
`Object` | `getCallingObject()`
`MetaDataResolver` | `getInstanceResolver()`
`SimpleMetaData` | `getMetaData()` Return all the contextual data attached to this invocation
`Object` | `getMetaData(Object group, Object attr)` This method resolves metadata based on the context of the invocation.
`Object` | `getResponseAttachment(Object key)`
`Map` | `getResponseContextInfo()`
`Object` | `getTargetObject()`
`Method` | `getWrappingMethod()` Is the called constructor aspectized? If so then this method returns the method that wraps the constructor.
`Object` | `invokeNext()` Invoke on the next interceptor in the chain.
`boolean` | `isWrapped()` Is the called constructor aspectized? If so then there is a wrapping method that must be called.
`void` | `setArguments(Object[] arguments)` change the arguments to the called constructor
`void` | `setMetaData(SimpleMetaData data)` Set all the contextual data attached to this invocation
`void` | `setResponseContextInfo(Map responseContextInfo)`
`void` | `setTargetObject(Object targetObject)`

Methods inherited from class org.jboss.aop.joinpoint.ConstructorCalledByMethodInvocation
`getWrapper`

Methods inherited from class org.jboss.aop.joinpoint.InvocationBase
`getCurrentInterceptor, getInterceptors, invokeNext, resolveAnnotation, resolveAnnotation, resolveClassAnnotation, resolveClassMetaData, setAdvisor, setInstanceResolver`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstructorCalledByMethodInvocationWrapper

    public ConstructorCalledByMethodInvocationWrapper(ConstructorCalledByMethodInvocation wrapped,
                                                      Interceptor[] interceptors)

Method Detail

### getMetaData

    public Object getMetaData(Object group,
                              Object attr)

  Description copied from class: `ConstructorCalledByMethodInvocation`
  This method resolves metadata based on the context of the invocation. It iterates through its list of MetaDataResolvers to find out the value of the metadata desired.

  This list usually is ThreadMetaData, InstanceAdvisor.getMetaData ClassAdvisor.getMethodMetaData (or field, or constructor) ClassAdvisor.getDefaultMetaData

  Specified by:
    `getMetaData` in interface `Invocation`
  Overrides:
    `getMetaData` in class `ConstructorCalledByMethodInvocation`

### invokeNext

    public Object invokeNext()
                      throws Throwable

  Description copied from class: `ConstructorCalledByMethodInvocation`
  Invoke on the next interceptor in the chain. If this is already the end of the chain, reflection will call the constructor, field, or method you are invoking on.

  Specified by:
    `invokeNext` in interface `Invocation`
  Overrides:
    `invokeNext` in class `ConstructorCalledByMethodInvocation`
  Throws:
    `Throwable`

### getInstanceResolver

    public MetaDataResolver getInstanceResolver()

  Overrides:
    `getInstanceResolver` in class `InvocationBase`

### getCallingClass

    public Class getCallingClass()

  Overrides:
    `getCallingClass` in class `ConstructorCalledByMethodInvocation`
  Returns:
    The class that is making the call on the constructor

### getCallingMethod

    public Method getCallingMethod()

  Overrides:
    `getCallingMethod` in class `ConstructorCalledByMethodInvocation`
  Returns:
    The method that is making the call on the constructor

### getCalledConstructor

    public Constructor getCalledConstructor()

  Overrides:
    `getCalledConstructor` in class `ConstructorCalledByMethodInvocation`
  Returns:
    the constructor call being executed by the calling method

### isWrapped

    public boolean isWrapped()

  Description copied from class: `ConstructorCalledByMethodInvocation`
  Is the called constructor aspectized? If so then there is a wrapping method that must be called.

  Overrides:
    `isWrapped` in class `ConstructorCalledByMethodInvocation`
  Returns:

### getWrappingMethod

    public Method getWrappingMethod()

  Description copied from class: `ConstructorCalledByMethodInvocation`
  Is the called constructor aspectized? If so then this method returns the method that wraps the constructor.

  Overrides:
    `getWrappingMethod` in class `ConstructorCalledByMethodInvocation`
  Returns:

### copy

    public Invocation copy()

  Description copied from class: `ConstructorCalledByMethodInvocation`
  Copies complete state of Invocation object.

  Specified by:
    `copy` in interface `Invocation`
  Overrides:
    `copy` in class `ConstructorCalledByMethodInvocation`
  Returns:

### getAdvisor

    public Advisor getAdvisor()

  Specified by:
    `getAdvisor` in interface `Invocation`
  Overrides:
    `getAdvisor` in class `InvocationBase`

### getTargetObject

    public Object getTargetObject()

  Specified by:
    `getTargetObject` in interface `Invocation`
  Overrides:
    `getTargetObject` in class `InvocationBase`

### setTargetObject

    public void setTargetObject(Object targetObject)

  Specified by:
    `setTargetObject` in interface `Invocation`
  Overrides:
    `setTargetObject` in class `InvocationBase`

### getResponseContextInfo

    public Map getResponseContextInfo()

  Specified by:
    `getResponseContextInfo` in interface `Invocation`
  Overrides:
    `getResponseContextInfo` in class `InvocationBase`

### setResponseContextInfo

    public void setResponseContextInfo(Map responseContextInfo)

  Specified by:
    `setResponseContextInfo` in interface `Invocation`
  Overrides:
    `setResponseContextInfo` in class `InvocationBase`

### addResponseAttachment

    public void addResponseAttachment(Object key,
                                      Object val)

  Specified by:
    `addResponseAttachment` in interface `Invocation`
  Overrides:
    `addResponseAttachment` in class `InvocationBase`

### getResponseAttachment

    public Object getResponseAttachment(Object key)

  Specified by:
    `getResponseAttachment` in interface `Invocation`
  Overrides:
    `getResponseAttachment` in class `InvocationBase`

### getMetaData

    public SimpleMetaData getMetaData()

  Description copied from class: `InvocationBase`
  Return all the contextual data attached to this invocation

  Specified by:
    `getMetaData` in interface `Invocation`
  Overrides:
    `getMetaData` in class `InvocationBase`

### setMetaData

    public void setMetaData(SimpleMetaData data)

  Description copied from class: `InvocationBase`
  Set all the contextual data attached to this invocation

  Specified by:
    `setMetaData` in interface `Invocation`
  Overrides:
    `setMetaData` in class `InvocationBase`

### getArguments

    public Object[] getArguments()

  Overrides:
    `getArguments` in class `ConstructorCalledByMethodInvocation`
  Returns:
    the arguments of the called constructor

### setArguments

    public void setArguments(Object[] arguments)

  Description copied from class: `ConstructorCalledByMethodInvocation`
  change the arguments to the called constructor

  Overrides:
    `setArguments` in class `ConstructorCalledByMethodInvocation`
  Parameters:
    `arguments` -

### getCallingObject

    public Object getCallingObject()

  Overrides:
    `getCallingObject` in class `ConstructorCalledByMethodInvocation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.